+++
date = "2018-09-06"
weight = 100

title = "18.09 TestReports 20180829 tiny-containers"

aliases = [
    "/old-wiki/18.09/TestReports/20180829/tiny-containers"
]
+++

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (20180829.0)](https://images.apertis.org/daily/experimental/18.09/20180829.0/armhf/tiny/apertis-lxc-18.09-armhf-tiny_20180829.0.tar.gz)
  - [Arm64
    (20180829.0)](https://images.apertis.org/daily/experimental/18.09/20180829.0/arm64/tiny/apertis-lxc-18.09-arm64-tiny_20180829.0.tar.gz)
  - [AMD64
    (20180829.0)](https://images.apertis.org/daily/experimental/18.09/20180829.0/amd64/tiny/apertis-lxc-18.09-amd64-tiny_20180829.0.tar.gz)

| ID                                                                                                                                                  | Description                                                                               | Type       | Arm        | Arm64  | AMD64  | Tested By | Notes                                                                                                                                                                   |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | ---------- | ------ | ------ | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **LAVA sanity**                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |
| [check-tiny-system-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-system-container.yaml) | Test privileged tiny container with shared network                                        | Integrated | PARTIAL    | PASSED | PASSED | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1251562) [2](https://lava.collabora.co.uk/scheduler/job/1251567) [3](https://lava.collabora.co.uk/scheduler/job/1251566) |
| [check-tiny-user-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-user-container.yaml)     | Test non-privileged tiny container without networking                                     | Integrated | bgcolor= | | PASSED | PASSED | andrewsh  | [4](https://lava.collabora.co.uk/scheduler/job/1251562) [5](https://lava.collabora.co.uk/scheduler/job/1251566)                                                         |
|                                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | PASSED - All tests passed.                                                                |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | FAILED - One or more tests failed.                                                        |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | CRITICAL test case - release blocker                                                      |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | HIGH priority test case - must be tested every week                                       |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | MEDIUM priority test case - must be tested at least every other week                      |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     | LOW priority test case - test when possible                                               |            |            |        |        |           |                                                                                                                                                                         |
|                                                                                                                                                     |                                                                                           |            |            |        |        |           |                                                                                                                                                                         |

[Test Reports]( {{< ref "/qa/weekly_tests" >}} )

